Skip to Content
Customers

Update Customer

Acces

Membru al organizației cu această permisiune:

  • customers:write

O cheie API cu scopuri are nevoie și de permisiune printre scopurile sale.

PATCH
/orgs/{organizationId}/customers/{id}

Updates an existing customer with partial data. Omitted fields stay unchanged; null or an empty string clears a nullable field.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Request Body

application/json
  1. body
firstName?string
Length1 <= length
lastName?string|null
email?|unknown|null
phone?string|null
address?string|null
city?string|null
state?string|null
zipCode?string|null
country?string|null
status?string
Value in"DEFAULT""PREFERRED""WARNING""BLACKLISTED""VIP"
locale?string|null
vatNumber?string|null
notes?string|null
birthday?|null
birthplace?string|null
profession?string|null
personalNumber?string|null
customerType?string
Value in"STANDARD""WORKER_RENTAL_CARAVAN""WORKER_TOWING_CARAVAN"
consentToCommunications?boolean
consentToMarketing?boolean
customFields?

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//customers/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null